Subject: Re: bug#44229: 27.1; Can not set tabulated-list-format with variable

From: dalanicolai <[email-masked]>
Date: Mon, 26 Oct 2020 22:20:56 +0100

(defvar col1-width 4)
(defvar col2-width 10)

(define-derived-mode tabular-bug-demo-mode
  tabulated-list-mode "tab-bug"
  "Major mode for Tab-bug."
  (setq-local tabulated-list-format [("Col1" col1-width nil)
                                     ("Col2" col2-width nil)])
  (tabulated-list-init-header))

(let ((buf (switch-to-buffer "tablist-bug-demo")))
  (with-current-buffer buf
    (tabular-bug-demo-mode)
    (setq-local tabulated-list-entries (list (list nil ["1" "so
unfortunately this"])
                                             (list nil ["2" "does not
work"])
                                             (list nil ["3" "when using
variables"])))
    (tabulated-list-print)))

On Mon, 26 Oct 2020 at 22:20, dalanicolai <[email-masked]> wrote:

> Ah okay, so therefore I added that text you sent me in the reply. But
> anyway, I will send the non-working code...
>
>
> On Mon, 26 Oct 2020 at 22:12, Lars Ingebrigtsen <[email-masked]> wrote:
>
>> dalanicolai <[email-masked]> writes:
>>
>> > Sorry, don't know what went wrong. Is it okay that I send you this link
>> to my
>> > original message (which does include the code)?
>>
>> That link only has the code that you says works, not the code that you
>> says failed, as far as I can tell?
>>
>> So post the code that fails instead.
>>
>> --
>> (domestic pets only, the antidote for overdose, milk.)
>>    bloggy blog: http://lars.ingebrigtsen.no
>>
>